Start a new topic

Updating to KinveyKit 1.23.0

Hello all,



If I update to Kinvey SDK 1.23.0 will it break my Xcode 4.6.2 app build?



If it does how can I get the 1.22.0 build?



thanks,

Sean



P.S My mac book is to old to upgrade to xcode 5 so that is not a option at the moment.

Thanks man, as I said I cannot update my Macbook to the newest version (because It is to old). It is being worked out but for now i have to work with what I got.
Old downloads are at the bottom of http://devcenter.kinvey.com/ios/downloads. 1.22 (and 1.21) probably won't work for you either. We recommend using the latest set of Apple's tools.
How can I get the 1.22.0 Version of Kinveykit, or at least the latest version that was complied in Xcode 4.6? I ended up getting Xcode 4.6.1 to work with iOS 7 sdk so I can use my iOS 7 phone to develop with, but this did not seem to help with version 1.23.0 of KinveyKit
Hi Sean,



Sorry we have to link against the iOS 7 SDK in order to take advantage of the new features available there, even if the library still supports iOS 6.
I am upgrading from 1.17.0, haha. I am getting some linker errors at the moment.



Undefined symbols for architecture i386:

"_NSURLSessionDownloadTaskResumeData", referenced from:

-[KCSNSURLSessionFileOperation complete:] in KinveyKit(KCSNSURLSessionFileOperation.o)

"_OBJC_CLASS_$_NSURLSession", referenced from:

objc-class-ref in KinveyKit(KCSNSURLSessionFileOperation.o)

objc-class-ref in KinveyKit(KCSNSURLSessionOperation.o)

"_OBJC_CLASS_$_NSURLSessionConfiguration", referenced from:

objc-class-ref in KinveyKit(KCSNSURLSessionFileOperation.o)

objc-class-ref in KinveyKit(KCSNSURLSessionOperation.o)

ld: symbol(s) not found for architecture i386

clang: error: linker command failed with exit code 1 (use -v to see invocation)
If 1.22 worked for you, 1.23 should as well. Let me know if it does not. FYI you can download any old version from the bottom of the downloads page.
Login or Signup to post a comment